Skip to main content

Atrium API

List Member MFA Challenges

Use this endpoint for information on what multi-factor authentication challenges need to be answered in order to aggregate a member.

If the aggregation is not challenged, i.e., the member does not have a connection status of CHALLENGED, then code 204 No Content will be returned.

If the aggregation has been challenged, i.e., the member does have a connection status of CHALLENGED, then code 200 OK will be returned — along with the corresponding challenges.

GET
/users/{user_guid}/members/{member_guid}/challenges

Request sample

Language:sh

_10
curl -i 'https://vestibule.mx.com/users/{user_guid}/members/{member_guid}/challenges' \
_10
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_10
-H 'MX-API-Key: {mx_api_key}' \
_10
-H 'MX-Client-ID: {mx_client_id}'

Response sample

TEXT
IMAGE_DATA
OPTIONS
IMAGE_OPTIONS
Language:json

_10
{
_10
"challenges": [
_10
{
_10
"field_name": "What city were you born in?",
_10
"guid": "CRD-1ec152cd-e628-e81a-e852-d1e7104624da",
_10
"label": "What city were you born in?",
_10
"type": "TEXT"
_10
}
_10
]
_10
}